# authentication v1

### settings.py

Default redirect URLs (Can be overridden in the main Django project)

AUTH_REDIRECT_SIGNUP = "verify_otp"  # After successful signup
AUTH_REDIRECT_LOGIN = "dashboard"  # After successful login
AUTH_REDIRECT_OTP_VERIFIED = "dashboard"  # After OTP verification
AUTH_REDIRECT_LOGOUT = "login"  # After logout

AUTH_EMAIL_SENDER = "support@mywebsite.com"

EMAIL_BACKEND = "django.core.mail.backends.smtp.EmailBackend"
EMAIL_HOST = "smtp.gmail.com"
EMAIL_PORT = 587
EMAIL_USE_TLS = True
EMAIL_HOST_USER = "your-email@gmail.com"  # Your Gmail Address
EMAIL_HOST_PASSWORD = "your-app-password"  # App Password from Google
DEFAULT_FROM_EMAIL = EMAIL_HOST_USER


### run migrations 

python manage.py makemigrations authentication
python manage.py migrate

 

### project urls

from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('accounts/', include('authentication.urls')), # add app urls
    path("admin/", admin.site.urls),
]
